ONVIF::Device::Types::IPv4NetworkInterface(3)

NAME
ONVIF::Device::Types::IPv4NetworkInterface

DESCRIPTION
Perl data type class for the XML Schema defined complexType IPv4NetworkInterface from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Enabled

•   Config

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::IPv4NetworkInterface
   Enabled =>  $some_value, # boolean
   Config =>  { # ONVIF::Device::Types::IPv4Configuration
     Manual =>  { # ONVIF::Device::Types::PrefixedIPv4Address
       Address => $some_value, # IPv4Address
       PrefixLength =>  $some_value, # int
     },
     LinkLocal =>  { # ONVIF::Device::Types::PrefixedIPv4Address
       Address => $some_value, # IPv4Address
       PrefixLength =>  $some_value, # int
     },
     FromDHCP =>  { # ONVIF::Device::Types::PrefixedIPv4Address
       Address => $some_value, # IPv4Address
       PrefixLength =>  $some_value, # int
     },
     DHCP =>  $some_value, # boolean
   },
 },

AUTHOR
Generated by SOAP::WSDL